[general]
* **Java 7 required:** The i-net Designer and the i-net Clear Reports server now requires Java 7 as minimum version of the Java virtual machine. The i-net Clear Reports viewer requires Java 5.
* **Formular Fields in PDF Export:** It is now possible to add formula fields, like text field, checkbox, button or list to an exported PDF file. The form fields are not visible in other output formats.
* **Embedding of HTML, PDF and SVG documents in the report:** With this version it is possible to embed HTML, PDF and/or SVG documents in a report.
* **Default report viewer: HTML** - The HTML report viewer has replaced the Java report viewer as the default viewer. In the configuration manager category "Behaviour" it is possible to set the default rendering format.
* **DataFactory added:** The method `Database.useJdbcDriver()` is deprecated now. Implements the interface DataFactory for non JDBC data.
* **Interactive sorting added:** With an interactive sorting field it is possible for the report user to change the sort direction with one click. This feature is supported in the HTML, Java and .NET report viewer.
* **.NET report viewer added:** A default implementation of the .NET report viewer is included in the directory "samples/viewer_.net". It can be used to embedd it in a .Net application.
* **Jetty server and Servlet API replaced:** Since version 13.1 i-net Clear Reports use Jetty 9.0.3 and Servlet API 3.0.

[general:de]
* **Java 7 erforderlich:** Der i-net Designer und der i-net Clear Reports Server erfordern jetzt Java 7 als Mindestversion der virtuellen Java-Maschine. Für den i-net Clear Reports Viewer ist Java 5 erforderlich.
* **Formularfelder im PDF-Export:** Es ist jetzt möglich, einer exportierten PDF-Datei Formelfelder, wie Textfelder, Kontrollkästchen, Schaltflächen oder Listen hinzuzufügen. Die Formelfelder sind in anderen Ausgabeformaten nicht sichtbar.
* **Einbetten von HTML-, PDF- und SVG-Dokumenten in den Bericht:** Mit dieser Version ist es möglich, HTML-, PDF- und/oder SVG-Dokumente in einen Bericht einzubetten.
* **Standard-Berichtsbetrachter: HTML** - Der HTML-Berichtsviewer hat den Java-Berichtsviewer als Standard-Viewer ersetzt. In der Konfigurationsmanager-Kategorie "Verhalten" ist es möglich, das Standard-Rendering-Format einzustellen.
* **DataFactory hinzugefügt:** Die Methode `Database.useJdbcDriver()` ist jetzt veraltet. Implementiert die Schnittstelle DataFactory für nicht JDBC-Daten.
* **Interaktive Sortierung hinzugefügt:** Mit einem interaktiven Sortierfeld ist es für den Berichtsbenutzer möglich, die Sortierrichtung mit einem Klick zu ändern. Diese Funktion wird im HTML-, Java- und .NET-Berichtsbetrachter unterstützt.
* **.NET-Berichtsbetrachter hinzugefügt:** Eine Standardimplementierung des .NET-Berichtsbetrachters ist im Verzeichnis "samples/viewer_.net" enthalten. Sie kann verwendet werden, um ihn in eine .Net-Anwendung einzubetten.
* **Jetty Server und Servlet API ersetzt:** Seit Version 13.1 verwendet i-net Clear Reports Jetty 9.0.3 und Servlet API 3.0.

[changes]
* The i-net Designer and the i-net Clear Reports server now requires Java 7 as minimum version of the Java virtual machine. The i-net Clear Reports viewer requires Java 5.
* New default report viewer: HTML.
* Embedding of HTML, PDF and SVG documents in the report supported.
* The interface com.inet.report.BorderProperties was removed from the class com.inet.report.Element. Only sub-elements with BorderProperties implementing this interface.
* ToWords function for Hungarian language added.
* In the chart properties it is now possible to set 'Show each Nth Label' (Category Axis) and 'Step Width'/'Count of Divisions' (Data Axis) with property formula.
* PDF export:
  * It is now supported to add formula fields, like text field, checkbox, button or list to an exported PDF file.
  * BMC and EMC operators are used.
  * PDF tags supported. They are useful for screenreaders.
  * Creation Web optimized PDF files supported.
* HTML export:
  * Hierachcial grouping is now also displayed in the HTML report viewer.
* Non-ASCII characters supported in exported file names.
* Database API was redesigned to allow JDBC and non JDBC datasources together.

#### Changed Behavior
* Formulas and summaries now use fixed point numbers instead of floating point numbers. This reduce rounding problems.
* It is no longer allowed to use methods of the Object class as user defined functions in a formula.
* User defined functions in the formula expander class can have its own documentation in additionially HTML files. See the samples in the documentation for details.
* It is now suppoerted to use Engine, HttpSession and HttpServletRequest as invisible parameters for user defined functions in the formula expander class.
* Unused formula fields will no longer be checked, even if other formula fields are used in the record selection.
* Reports, saved in repository will now clear their cache entry to ensure a fresh result when updating the rendered page.
* The error messages for expired license key containing name and scope of the used configuration.
* Support for query files deprecated.
* It is now possible to pass in single values for multi-value prompts as URL parameters. They are then handled as single-value arrays.

### Java Viewer
* A drill-down can now also be triggered by double-clicking a node in the group tree.
* Interactive Sorting supported.
* Image export creates zip file if the report contains more than one page.
* Export dialog
  * Unit "pixel" added to image width and heigth in image export
  * PDF format properties: "Fast Web View" and "PDF Tags" added.

### i-net Designer
* Java 7 required.
* Interactive Sorting added, see insert menu.
* Embedding HTML, PDF and SVG files in the report supported, see insert menu.
* Search field added to field browser.
* It is now possible to undo the insertion of a field in the crosstab description section.
* SummaryFields which are created via Formulas are no longer checked by the ProblemFinder.
* The "The page header and/or page footer is larger than the page." warning was changed to an error.
* Formula editor:
  * Additional to formula function names it is now possible to search and filter for field names.
  * FormulaExpander classes with no visible functions or constants will no longer be displayed.
  * Deprecated functions in the formula expander class are displayed as deprecated in the formula editor.

### Remote Interface
* Modul selection page (start page of the remote interface) redesigned.

### Configuration Manager
* HTML report viewer is used as default viewer. The default rendering format can be set in category "Behaviour".
* Now it is possible to set a new master password in the configuration manager category "Login/IP Filter".

### Scheduler
* The FTP-Action of i-net Scheduler is now able to upload rendered reports to an FTPS-Server (SSL).

### .Net Edition
* Default implementation of the .Net report viewer added to sample directory.
* IKVM 7.3 is used.

[changes:de]
* Der i-net Designer und der i-net Clear Reports Server benötigen jetzt Java 7 als Mindestversion der virtuellen Java-Maschine. Für den i-net Clear Reports Viewer ist Java 5 erforderlich.
* Neuer Standard-Berichtsbetrachter: HTML.
* Einbettung von HTML-, PDF- und SVG-Dokumenten in den Bericht unterstützt.
* Die Schnittstelle com.inet.report.BorderProperties wurde aus der Klasse com.inet.report.Element entfernt. Nur Unterelemente mit BorderProperties implementieren diese Schnittstelle.
* ToWords-Funktion für die ungarische Sprache hinzugefügt.
* In den Diagramm-Eigenschaften ist es jetzt möglich, 'Show each Nth Label' (Kategorie-Achse) und 'Step Width'/'Count of Divisions' (Daten-Achse) mit der Eigenschaft formula zu setzen.
* PDF-Export:
  * Es ist jetzt möglich, Formelfelder wie Textfelder, Kontrollkästchen, Schaltflächen oder Listen zu einer exportierten PDF-Datei hinzuzufügen.
  * BMC- und EMC-Operatoren werden verwendet.
  * PDF-Tags werden unterstützt. Sie sind nützlich für Screenreader.
  * Erstellung weboptimierter PDF-Dateien wird unterstützt.
* HTML-Export:
  * Die hierarchische Gruppierung wird jetzt auch im HTML-Berichtsviewer angezeigt.
* Nicht-ASCII-Zeichen werden in exportierten Dateinamen unterstützt.
* Datenbank-API wurde umgestaltet, um JDBC- und Nicht-JDBC-Datenquellen gemeinsam nutzen zu können.

#### Geändertes Verhalten
* Formeln und Zusammenfassungen verwenden nun Festkommazahlen anstelle von Fließkommazahlen. Dies reduziert Rundungsprobleme.
* Es ist nicht mehr erlaubt, Methoden der Klasse Object als benutzerdefinierte Funktionen in einer Formel zu verwenden.
* Benutzerdefinierte Funktionen in der Formel-Expander-Klasse können ihre eigene Dokumentation in zusätzlichen HTML-Dateien haben. Siehe die Beispiele in der Dokumentation für Details.
* Es wird nun unterstützt, Engine, HttpSession und HttpServletRequest als unsichtbare Parameter für benutzerdefinierte Funktionen in der Formel-Expander-Klasse zu verwenden.
* Nicht verwendete Formelfelder werden nicht mehr geprüft, auch wenn andere Formelfelder in der Datensatzauswahl verwendet werden.
* Im Repository gespeicherte Berichte löschen jetzt ihren Cache-Eintrag, um ein frisches Ergebnis zu gewährleisten, wenn die gerenderte Seite aktualisiert wird.
* Die Fehlermeldungen für abgelaufene Lizenzschlüssel enthalten den Namen und den Bereich der verwendeten Konfiguration.
* Die Unterstützung für Abfragedateien ist veraltet.
* Es ist jetzt möglich, einzelne Werte für mehrwertige Abfragen als URL-Parameter zu übergeben. Sie werden dann als einwertiges Array behandelt.

### Java-Viewer
* Ein Drill-Down kann nun auch durch Doppelklick auf einen Knoten im Gruppenbaum ausgelöst werden.
* Interaktives Sortieren wird unterstützt.
* Der Bildexport erzeugt eine Zip-Datei, wenn der Bericht mehr als eine Seite enthält.
* Export-Dialog
  * Einheit "Pixel" zu Bildbreite und -höhe beim Bildexport hinzugefügt
  * PDF-Format-Eigenschaften: "Schnelle Web-Ansicht" und "PDF-Tags" hinzugefügt.

### i-net Designer
* Java 7 erforderlich.
* Interaktive Sortierung hinzugefügt, siehe Menü "Einfügen".
* Einbettung von HTML-, PDF- und SVG-Dateien in den Bericht unterstützt, siehe Menü "Einfügen".
* Suchfeld zum Feldbrowser hinzugefügt.
* Es ist nun möglich, das Einfügen eines Feldes im Bereich Kreuztabellenbeschreibung rückgängig zu machen.
* SummaryFields, die über Formeln erstellt werden, werden nicht mehr vom ProblemFinder überprüft.
* Die Warnung "Der Seitenkopf und/oder Seitenfuß ist größer als die Seite" wurde in einen Fehler geändert.
* Formel-Editor:
  * Zusätzlich zu den Formel-Funktionsnamen kann nun auch nach Feldnamen gesucht und gefiltert werden.
  * FormelExpander-Klassen, die keine sichtbaren Funktionen oder Konstanten enthalten, werden nicht mehr angezeigt.
  * Veraltete Funktionen in der Formel-Expander-Klasse werden im Formeleditor als veraltet angezeigt.

### Remote Interface
* Modulauswahlseite (Startseite der Remote-Schnittstelle) neu gestaltet.

### Konfigurations-Manager
* HTML-Berichtsviewer wird als Standardviewer verwendet. Das Standard-Rendering-Format kann in der Kategorie "Verhalten" eingestellt werden.
* Es ist jetzt möglich, ein neues Master-Passwort in der Konfigurationsmanager-Kategorie "Login/IP Filter" zu setzen.

### Zeitplaner
* Die FTP-Aktion des i-net Schedulers ist nun in der Lage, gerenderte Berichte auf einen FTPS-Server (SSL) hochzuladen.

### .Net Edition
* Standard-Implementierung des .Net Report Viewers im Beispielverzeichnis hinzugefügt.
* IKVM 7.3 wird verwendet.

[bugfixes]
* Bug with Report Data Cache occurred. "Distinct" was ignored if the data was loaded from the cache.
* Unused formula fields were checked, if other formula fields or parameter fields are used in the record selection formula. Thus, a report may not be executed because of an invalid unused formula.
* NullPointerException occurred during deserialization of an Engine that has been rendered already.
* In label elements, multiple line breaks leading over a page break would lead to some lines in the label being suppressed.
* HTML export: 
  * Exported HTML file was incorrect if underlay following section was enabled in multicolumn section.
  * Subreport was incorrect in multicolumn section.
  * Report listener did not start with optional remote interface libraries.
  * Some report fields contains scrollbars if HTML file was displayed in Chrome browser.
* PDF export:
  * PDF signature problem occurred if used keystore file contains mutliple entries.
  * Positioning of Thai vowels in exported PDF files was incorrect.
* Border of a subreport was drawn in the page header section, when it was split in two pages.
* If there were cascading prompts and one of the "parent" prompts accepted lists of values, an empty list would cause an error on the server.
* NullPointerException occurred during font embedding because of case sensitive font names.
* Minimum width calculation for CJK texts was incorrect.
* NullPointerException during deserialization of an already rendered report engine occurred.
* Scanning the classpath for database drivers in the datasource manager after a fresh installation could lead to an internal error.

### Java Viewer
* When printing images on Mac OS X, images could appear blurred.
* Thai character \\u0E33 wasnot displayed in the Java report viewer if font embedding was used.
* When displaying Java Report Archive files in an "offline" viewer, clicking on subreport links would result in an internal error. A human readable error message is now displayed.

### i-net Designer
* Translation: It was not possible to translate the manual field names of summary fields in the Chart Properties category "Data".
* ArrayIndexOutOfBoundsException occurred if a group was used as subreport link.
* If you do an undo or redo step in the designer then all JavaBeans that are not visible lost it's settings and use the default values for it's properties.
* Parameter Field Properties "Prompting Text" was not saved.
* Formula editor:
  * Report Error "The variable "..." is not the variable defined by the loop header Line:... Column:..." occurred in a user defined basic function.
  * Return value/variable for basic report functions with upper case names was wrong.

### Remote Designer
* Exception "Original string may not be null" occurred when saving a report that was opened from a repository within Remote Designer.
* The ServletFilter was not used on loading the remote designer.
* Exception "Original string may not be null" occurred when saving a report that was opened from a repository within remote designer.
* The image width in editor page was wrong. It has been corrected for best-fit scaling.

### Report Repository
* Exception occurred when database repository was renamed.

### .Net Edition
* Tutorials in i-net Designer now available in i-net Clear Reports .Net.
* Image export from Java report viewer was corrupt.
* Help for remote designer was missing.
* Missing Images in Advanced HTML occurred.

[bugfixes:de]
* Es trat ein Fehler mit dem Berichtsdaten-Cache auf. "Distinct" wurde ignoriert, wenn die Daten aus dem Cache geladen wurden.
* Unbenutzte Formelfelder wurden geprüft, wenn andere Formelfelder oder Parameterfelder in der Datensatzauswahlformel verwendet werden. Dadurch kann es vorkommen, dass ein Bericht wegen einer ungültigen unbenutzten Formel nicht ausgeführt werden kann.
* NullPointerException trat bei der Deserialisierung einer bereits gerenderten Engine auf.
* Bei Label-Elementen führten mehrere Zeilenumbrüche, die über einen Seitenumbruch hinausgehen, dazu, dass einige Zeilen im Label unterdrückt wurden.
* HTML-Export:
  * Die exportierte HTML-Datei war fehlerhaft, wenn im mehrspaltigen Abschnitt die Unterlegung des folgenden Abschnitts aktiviert war.
  * Der Unterbericht war im mehrspaltigen Abschnitt nicht korrekt.
  * Report Listener startete nicht mit optionalen Remote Interface Bibliotheken.
  * Einige Berichtsfelder enthielten Bildlaufleisten, wenn die HTML-Datei im Chrome-Browser angezeigt wurde.
* PDF-Export:
  * PDF-Signatur-Problem trat auf, wenn die verwendete Keystore-Datei mehrere Einträge enthält.
  * Die Positionierung von thailändischen Vokalen in exportierten PDF-Dateien war falsch.
* Der Rand eines Unterberichts wurde im Kopfbereich der Seite gezeichnet, wenn er in zwei Seiten aufgeteilt war.
* Wenn es kaskadierende Eingabeaufforderungen gab und eine der "übergeordneten" Eingabeaufforderungen Listen von Werten akzeptierte, führte eine leere Liste zu einem Fehler auf dem Server.
* NullPointerException trat beim Einbetten von Schriftarten auf, da die Groß- und Kleinschreibung der Schriftartennamen beachtet wurde.
* Die Berechnung der Mindestbreite für CJK-Texte war falsch.
* NullPointerException während der Deserialisierung einer bereits gerenderten Report-Engine trat auf.
* Das Scannen des Klassenpfads für Datenbanktreiber im Datenquellenmanager nach einer Neuinstallation konnte zu einem internen Fehler führen.

### Java Viewer
* Beim Drucken von Bildern unter Mac OS X konnten die Bilder unscharf erscheinen.
* Das thailändische Zeichen \\u0E33 wurde im Java Report Viewer nicht angezeigt, wenn die Schrifteinbettung verwendet wurde.
* Bei der Anzeige von Java-Berichtsarchivdateien in einem "Offline"-Viewer führte das Anklicken von Unterberichtslinks zu einem internen Fehler. Es wird nun eine für Menschen lesbare Fehlermeldung angezeigt.

### i-net Designer
* Übersetzung: Es war nicht möglich, die manuellen Feldnamen von Übersichtsfeldern in der Diagrammeigenschaften-Kategorie "Daten" zu übersetzen.
* ArrayIndexOutOfBoundsException trat auf, wenn eine Gruppe als Subreport-Link verwendet wurde.
* Wenn Sie einen Rückgängig- oder Wiederherstellungsschritt im Designer durchführen, verloren alle JavaBeans, die nicht sichtbar sind, ihre Einstellungen und verwenden die Standardwerte für ihre Eigenschaften.
* Die Parameterfeld-Eigenschaften "Prompting Text" wurden nicht gespeichert.
* Formel-Editor:
  * Report Error "Die Variable "..." ist nicht die Variable, die durch den Schleifenkopf Zeile:... Spalte:..." in einer benutzerdefinierten Basisfunktion aufgetreten.
  * Rückgabewert/Variable bei Grundfunktionen mit Großbuchstaben war falsch.

### Remote Designer
* Beim Speichern eines Reports, der aus einem Repository im Remote Designer geöffnet wurde, trat die Exception "Original string may not be null" auf.
* Der ServletFilter wurde beim Laden des Remote Designers nicht verwendet.
* Die Ausnahme "Original string may not be null" trat auf, als ein Bericht gespeichert wurde, der aus einem Repository im Remote Designer geöffnet wurde.
* Die Bildbreite auf der Editor-Seite war falsch. Sie wurde für die Best-Fit-Skalierung korrigiert.

### Bericht-Repository
* Eine Ausnahme trat auf, wenn das Datenbank-Repository umbenannt wurde.

### .Net Edition
* Tutorials in i-net Designer jetzt in i-net Clear Reports .Net verfügbar.
* Der Bildexport aus dem Java Report Viewer war fehlerhaft.
* Hilfe für Remote Designer fehlte.
* Fehlende Bilder in Advanced HTML aufgetreten.

[security]

[security:de]
